%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global packagename basic-auth

Name:		nodejs-%{packagename}
Version:	1.0.3
Release:	4%{?dist}
Summary:	Generic basic auth Authorization header field parser for whatever

License:	MIT
URL:		https://github.com/jshttp/basic-auth
Source0:	https://github.com/jshttp/basic-auth/archive/v1.0.3.tar.gz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
Requires:	nodejs

%if 0%{?enable_tests}
BuildRequires:	npm(mocha)
%endif
%description
Generic basic auth Authorization header field parser for NodeJS


%prep
%setup -q -n %{packagename}-%{version}

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif



%files
%{!?_licensedir:%global license %doc}
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 09 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-3
- Support building under EL6

* Wed Oct 07 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-2
- Add missing BuildRequires for mocha when enabling tests

* Wed Oct 07 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
